Bug 813564 - Review Request: mod_authnz_external - use external means for httpd basic authentication
Review Request: mod_authnz_external - use external means for httpd basic auth...
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: Package Review (Show other bugs)
el6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On: 813594
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-17 17:55 EDT by Philip Prindeville
Modified: 2015-08-30 10:13 EDT (History)
6 users (show)

See Also:
Fixed In Version: mod_authnz_external-3.2.6-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-18 06:24:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
pwouters: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Philip Prindeville 2012-04-17 17:55:46 EDT
Spec URL: http://fedorapeople.org/~philipp/mod_authnz_external.spec
SRPM URL: http://fedorapeople.org/~philipp/mod_authnz_external-3.2.6-0.el6.src.rpm
Description: Mod_Authnz_External is an Apache module used for authentication.
Comment 1 Philip Prindeville 2012-04-17 18:09:49 EDT
$ rpmlint mod_authnz_external-3.2.6-0.el6.src.rpm 
mod_authnz_external.src: W: name-repeated-in-summary C Mod_Authnz_External
mod_authnz_external.src: W: spelling-error %description -l en_US mis -> mus, mos, mid
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
$ rpmlint mod_authnz_external.spec
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
$
Comment 2 Paul Wouters 2012-05-04 16:38:34 EDT
Still some fixes needed, talking to author about those now


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[-]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.


==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[x]: MUST %config files are marked noreplace or the reason is justified.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.

[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[-]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[!]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST No %config files under /usr.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[-]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/vol/home/paul/813564/mod_authnz_external-3.2.6.tar.gz :
  MD5SUM this package     : 38ce167e14ab696324a838adfef0c850
  MD5SUM upstream package : 38ce167e14ab696324a838adfef0c850

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[!]: SHOULD Reviewer should test that the package builds in mock.
[?]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from

     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[!]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[!]: SHOULD Spec use %global instead of %define.
     Note: %define modulesdir %{_libdir}/httpd/modules %define confdir
     %{_sysconfdir}/httpd/conf

Issues:
[!]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Architecture_Support
[!]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
     Note: The package did not built BR could therefore not be checked or the
     package failed to build because of missing BR
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
See: http://fedoraproject.org/wiki/Packaging/Guidelines#BuildRoot_tag
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None


Generated by fedora-review 0.1.3
External plugins:
Comment 3 Paul Wouters 2012-05-05 11:09:07 EDT
http://fedorapeople.org/~philipp/mod_authnz_external-3.2.6-1.el6.src.rpm

All remaining issues were solved in the -1 release. PASSED
Comment 4 Philip Prindeville 2012-05-05 13:28:01 EDT
New Package SCM Request
=======================
Package Name: mod_authnz_external
Short Description: use external means for httpd basic authentication
Owners: philipp rdieter
Branches: f16 f17 el6
InitialCC: pwouters
Comment 5 Gwyn Ciesla 2012-05-06 17:00:02 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-05-07 00:50:32 EDT
mod_authnz_external-3.2.6-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mod_authnz_external-3.2.6-1.fc17
Comment 7 Fedora Update System 2012-05-07 00:52:03 EDT
mod_authnz_external-3.2.6-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mod_authnz_external-3.2.6-1.fc16
Comment 8 Fedora Update System 2012-05-07 00:52:52 EDT
mod_authnz_external-3.2.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mod_authnz_external-3.2.6-1.el6
Comment 9 Fedora Update System 2012-05-07 18:10:34 EDT
mod_authnz_external-3.2.6-1.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 10 Fedora Update System 2012-05-18 06:24:46 EDT
mod_authnz_external-3.2.6-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 11 Fedora Update System 2012-05-24 11:55:30 EDT
mod_authnz_external-3.2.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 12 Fedora Update System 2012-05-26 02:51:39 EDT
mod_authnz_external-3.2.6-1.fc17 has been pushed to the Fedora 17 stable repository.
Comment 13 Philip Prindeville 2015-08-28 13:39:40 EDT
Package Change Request
======================
Package Name: mod_authnz_external
New Branches: el7
Owners: philipp
InitialCC: geertj

Have been requested to add EL7 support for this package.
Comment 14 Gwyn Ciesla 2015-08-30 10:13:35 EDT
Branch exists.

Note You need to log in before you can comment on or make changes to this bug.